import { BarOptions } from '@antv/g2plot';
import { BaseChartProps } from '../../components/base';
import { Writeable } from '../../types';
export declare type BarChartProps = Writeable<Omit<BaseChartProps<BarOptions>, 'chart' | 'data'> & BarOptions>;
declare const BarChart: import("vue-demi").DefineComponent<Writeable<Omit<BaseChartProps<BarOptions>, "chart" | "data"> & BarOptions>, {}, {}, {}, {}, import("vue-demi").ComponentOptionsMixin, import("vue-demi").ComponentOptionsMixin, import("vue-demi").EmitsOptions, string, import("vue-demi").VNodeProps & import("vue-demi").AllowedComponentProps & import("vue-demi").ComponentCustomProps, Readonly<{
    class?: unknown;
    style?: unknown;
    chartRef?: unknown;
    barStyle?: unknown;
    barWidthRatio?: unknown;
    minBarWidth?: unknown;
    maxBarWidth?: unknown;
    barBackground?: unknown;
    width?: unknown;
    height?: unknown;
    padding?: unknown;
    appendPadding?: unknown;
    renderer?: unknown;
    pixelRatio?: unknown;
    autoFit?: unknown;
    syncViewPadding?: unknown;
    supportCSSTransform?: unknown;
    limitInPlot?: unknown;
    locale?: unknown;
    data?: unknown;
    color?: unknown;
    animation?: unknown;
    label?: unknown;
    legend?: unknown;
    meta?: unknown;
    pattern?: unknown;
    tooltip?: unknown;
    scrollbar?: unknown;
    xField?: unknown;
    yField?: unknown;
    seriesField?: unknown;
    isStack?: unknown;
    isPercent?: unknown;
    localRefresh?: unknown;
    theme?: unknown;
    xAxis?: unknown;
    yAxis?: unknown;
    slider?: unknown;
    interactions?: unknown;
    annotations?: unknown;
    state?: unknown;
    dodgePadding?: unknown;
    intervalPadding?: unknown;
    isGroup?: unknown;
    isRange?: unknown;
    marginRatio?: unknown;
    columnBackground?: unknown;
    groupField?: unknown;
    brush?: unknown;
    conversionTag?: unknown;
    connectedArea?: unknown;
} & {
    class: any;
} & {
    width?: number | undefined;
    height?: number | undefined;
    padding?: number | "auto" | number[] | undefined;
    appendPadding?: number | number[] | undefined;
    renderer?: "canvas" | "svg" | undefined;
    pixelRatio?: number | undefined;
    autoFit?: boolean | undefined;
    syncViewPadding?: boolean | import("@antv/g2/lib/interface").SyncViewPaddingFn | undefined;
    supportCSSTransform?: boolean | undefined;
    limitInPlot?: boolean | undefined;
    locale?: string | undefined;
    style?: import("vue-demi").StyleValue | undefined;
    data?: unknown;
    chartRef?: import("vue-demi").Ref<import("@antv/g2plot").Plot<BarOptions> | null> | undefined;
    color?: import("@antv/g2plot").ColorAttr | undefined;
    animation?: import("@antv/g2plot/lib/types/animation").Animation | undefined;
    label?: import("@antv/g2plot/lib/types/label").Label | undefined;
    legend?: import("@antv/g2plot/lib/types/legend").Legend | undefined;
    meta?: Record<string, import("@antv/g2plot").Meta> | undefined;
    pattern?: import("@antv/g2plot").PatternAttr | undefined;
    tooltip?: import("@antv/g2plot").Tooltip | undefined;
    scrollbar?: import("@antv/g2/lib/interface").ScrollbarOption | undefined;
    xField?: string | undefined;
    yField?: string | undefined;
    seriesField?: string | undefined;
    isStack?: boolean | undefined;
    isPercent?: boolean | undefined;
    localRefresh?: boolean | undefined;
    theme?: string | object | undefined;
    xAxis?: import("@antv/g2plot").Axis | undefined;
    yAxis?: import("@antv/g2plot").Axis | undefined;
    slider?: import("@antv/g2/lib/interface").SliderOption | undefined;
    interactions?: import("@antv/g2plot").Interaction[] | undefined;
    annotations?: import("@antv/g2plot").Annotation[] | undefined;
    state?: import("@antv/g2/lib/interface").StateOption | undefined;
    dodgePadding?: number | undefined;
    intervalPadding?: number | undefined;
    isGroup?: boolean | undefined;
    isRange?: boolean | undefined;
    marginRatio?: number | undefined;
    columnBackground?: {
        style?: import("@antv/g-base").ShapeAttrs | undefined;
    } | undefined;
    groupField?: string | undefined;
    brush?: import("@antv/g2plot").BrushCfg | undefined;
    conversionTag?: false | import("@antv/g2plot/lib/adaptor/conversion-tag").ConversionTagOptions | undefined;
    connectedArea?: false | import("@antv/g2plot/lib/adaptor/connected-area").ConnectedAreaOptions | undefined;
    barStyle?: import("@antv/g2plot").StyleAttr | undefined;
    barWidthRatio?: number | undefined;
    minBarWidth?: number | undefined;
    maxBarWidth?: number | undefined;
    barBackground?: {
        style?: import("@antv/g-base").ShapeAttrs | undefined;
    } | undefined;
}>, {
    class: any;
}>;
export default BarChart;
