import { DualAxesOptions } from '@antv/g2plot';
import { BaseChartProps } from '../../components/base';
import { Writeable } from '../../types';
export declare type DualAxesChartProps = Writeable<Omit<BaseChartProps<DualAxesOptions>, 'chart' | 'data'> & DualAxesOptions>;
declare const DualAxesChart: import("vue-demi").DefineComponent<Writeable<Omit<BaseChartProps<DualAxesOptions>, "chart" | "data"> & Omit<import("@antv/g2plot").Options, "data" | "color" | "yAxis" | "annotations"> & {
    readonly data: Record<string, any>[][];
    readonly xField: string;
    readonly yField: string[];
    readonly yAxis?: (import("@antv/g2plot").Axis | undefined)[] | Record<string, import("@antv/g2plot").Axis | undefined> | undefined;
    readonly geometryOptions?: import("@antv/g2plot/lib/plots/dual-axes/types").GeometryOption[] | undefined;
    readonly annotations?: (import("@antv/g2plot").Annotation[] | undefined)[] | Record<string, import("@antv/g2plot").Annotation[] | undefined> | undefined;
}>, {}, {}, {}, {}, import("vue-demi").ComponentOptionsMixin, import("vue-demi").ComponentOptionsMixin, import("vue-demi").EmitsOptions, string, import("vue-demi").VNodeProps & import("vue-demi").AllowedComponentProps & import("vue-demi").ComponentCustomProps, Readonly<{
    class?: unknown;
    style?: unknown;
    chartRef?: unknown;
    width?: unknown;
    height?: unknown;
    padding?: unknown;
    appendPadding?: unknown;
    renderer?: unknown;
    pixelRatio?: unknown;
    autoFit?: unknown;
    syncViewPadding?: unknown;
    supportCSSTransform?: unknown;
    limitInPlot?: unknown;
    locale?: unknown;
    animation?: unknown;
    label?: unknown;
    legend?: unknown;
    meta?: unknown;
    pattern?: unknown;
    tooltip?: unknown;
    scrollbar?: unknown;
    localRefresh?: unknown;
    theme?: unknown;
    xAxis?: unknown;
    slider?: unknown;
    interactions?: unknown;
    state?: unknown;
    data?: unknown;
    xField?: unknown;
    yField?: unknown;
    yAxis?: unknown;
    geometryOptions?: unknown;
    annotations?: unknown;
} & {
    class: any;
} & {
    width?: number | undefined;
    height?: number | undefined;
    padding?: number | "auto" | number[] | undefined;
    appendPadding?: number | number[] | undefined;
    renderer?: "canvas" | "svg" | undefined;
    pixelRatio?: number | undefined;
    autoFit?: boolean | undefined;
    syncViewPadding?: boolean | import("@antv/g2/lib/interface").SyncViewPaddingFn | undefined;
    supportCSSTransform?: boolean | undefined;
    limitInPlot?: boolean | undefined;
    locale?: string | undefined;
    style?: import("vue-demi").StyleValue | undefined;
    data?: unknown;
    chartRef?: import("vue-demi").Ref<import("@antv/g2plot").Plot<DualAxesOptions> | null> | undefined;
    animation?: import("@antv/g2plot/lib/types/animation").Animation | undefined;
    label?: import("@antv/g2plot/lib/types/label").Label | undefined;
    legend?: import("@antv/g2plot/lib/types/legend").Legend | undefined;
    meta?: Record<string, import("@antv/g2plot").Meta> | undefined;
    pattern?: import("@antv/g2plot").PatternAttr | undefined;
    tooltip?: import("@antv/g2plot").Tooltip | undefined;
    scrollbar?: import("@antv/g2/lib/interface").ScrollbarOption | undefined;
    xField?: string | undefined;
    yField?: string | undefined;
    localRefresh?: boolean | undefined;
    theme?: string | object | undefined;
    xAxis?: import("@antv/g2plot").Axis | undefined;
    yAxis?: (import("@antv/g2plot").Axis | undefined)[] | Record<string, import("@antv/g2plot").Axis | undefined> | undefined;
    slider?: import("@antv/g2/lib/interface").SliderOption | undefined;
    interactions?: import("@antv/g2plot").Interaction[] | undefined;
    annotations?: (import("@antv/g2plot").Annotation[] | undefined)[] | Record<string, import("@antv/g2plot").Annotation[] | undefined> | undefined;
    state?: import("@antv/g2/lib/interface").StateOption | undefined;
    geometryOptions?: import("@antv/g2plot/lib/plots/dual-axes/types").GeometryOption[] | undefined;
}>, {
    class: any;
}>;
export default DualAxesChart;
