import { LiquidOptions } from '@antv/g2plot';
import { BaseChartProps } from '../../components/base';
import { Writeable } from '../../types';
export declare type LiquidChartProps = Writeable<Omit<BaseChartProps<LiquidOptions>, 'chart' | 'data'> & LiquidOptions>;
declare const LiquidChart: import("vue-demi").DefineComponent<Writeable<Omit<BaseChartProps<LiquidOptions>, "chart" | "data"> & LiquidOptions>, {}, {}, {}, {}, import("vue-demi").ComponentOptionsMixin, import("vue-demi").ComponentOptionsMixin, import("vue-demi").EmitsOptions, string, import("vue-demi").VNodeProps & import("vue-demi").AllowedComponentProps & import("vue-demi").ComponentCustomProps, Readonly<{
    class?: unknown;
    style?: unknown;
    chartRef?: unknown;
    percent?: unknown;
    color?: unknown;
    radius?: unknown;
    liquidStyle?: unknown;
    statistic?: unknown;
    outline?: unknown;
    wave?: unknown;
    shape?: unknown;
    width?: unknown;
    height?: unknown;
    padding?: unknown;
    appendPadding?: unknown;
    renderer?: unknown;
    pixelRatio?: unknown;
    autoFit?: unknown;
    syncViewPadding?: unknown;
    supportCSSTransform?: unknown;
    limitInPlot?: unknown;
    locale?: unknown;
    animation?: unknown;
    label?: unknown;
    legend?: unknown;
    meta?: unknown;
    pattern?: unknown;
    tooltip?: unknown;
    scrollbar?: unknown;
    localRefresh?: unknown;
    theme?: unknown;
    xAxis?: unknown;
    yAxis?: unknown;
    slider?: unknown;
    interactions?: unknown;
    annotations?: unknown;
    state?: unknown;
} & {
    class: any;
} & {
    width?: number | undefined;
    height?: number | undefined;
    padding?: number | "auto" | number[] | undefined;
    appendPadding?: number | number[] | undefined;
    renderer?: "canvas" | "svg" | undefined;
    pixelRatio?: number | undefined;
    autoFit?: boolean | undefined;
    syncViewPadding?: boolean | import("@antv/g2/lib/interface").SyncViewPaddingFn | undefined;
    supportCSSTransform?: boolean | undefined;
    limitInPlot?: boolean | undefined;
    locale?: string | undefined;
    style?: import("vue-demi").StyleValue | undefined;
    chartRef?: import("vue-demi").Ref<import("@antv/g2plot").Plot<LiquidOptions> | null> | undefined;
    color?: import("@antv/g2plot").ColorAttr | undefined;
    animation?: import("@antv/g2plot/lib/types/animation").Animation | undefined;
    outline?: Partial<{
        readonly border: number;
        readonly distance: number;
        readonly style?: Pick<import("@antv/g-base").ShapeAttrs, "stroke" | "strokeOpacity"> | undefined;
    }> | undefined;
    label?: import("@antv/g2plot/lib/types/label").Label | undefined;
    legend?: import("@antv/g2plot/lib/types/legend").Legend | undefined;
    meta?: Record<string, import("@antv/g2plot").Meta> | undefined;
    pattern?: import("@antv/g2plot").PatternAttr | undefined;
    tooltip?: import("@antv/g2plot").Tooltip | undefined;
    scrollbar?: import("@antv/g2/lib/interface").ScrollbarOption | undefined;
    localRefresh?: boolean | undefined;
    theme?: string | object | undefined;
    xAxis?: import("@antv/g2plot").Axis | undefined;
    yAxis?: import("@antv/g2plot").Axis | undefined;
    slider?: import("@antv/g2/lib/interface").SliderOption | undefined;
    interactions?: import("@antv/g2plot").Interaction[] | undefined;
    annotations?: import("@antv/g2plot").Annotation[] | undefined;
    state?: import("@antv/g2/lib/interface").StateOption | undefined;
    shape?: string | ((x: number, y: number, width: number, height: number) => import("@antv/g-base").PathCommand[]) | undefined;
    percent?: number | undefined;
    radius?: number | undefined;
    statistic?: import("@antv/g2plot").Statistic | undefined;
    liquidStyle?: import("@antv/g2plot").StyleAttr | undefined;
    wave?: Partial<{
        readonly count: number;
        readonly length: number;
    }> | undefined;
}>, {
    class: any;
}>;
export default LiquidChart;
